function model = kbrOptimise(model, X, Y, varargin)

% KBROPTIMISE Optimise a kernel based regression.
%
% model = kbrOptimise(model, X, Y, varargin)
%

% Copyright (c) 2005 Neil D. Lawrence
% kbrOptimise.m version 1.1




model.numData = size(X, 1);
model.K = kernCompute(model.kern, X);
model.X = X;

model.b = mean(Y, 1);
model.A = pdinv(model.K)*(Y-repmat(model.b, model.numData, 1));
